index_if.hpp File Reference

Forward declares `boost::hana::index_if`. More...

## Namespaces

| boost::hana
| Namespace containing everything in the library.

## Variables

constexpr auto | boost::hana::index_if
| Finds the value associated to the first key satisfying a predicate.Given an `Iterable` structure `xs` and a predicate `pred`, `index_if(xs, pred)` returns a `hana::optional` containing an `IntegralConstant` of the index of the first element that satisfies the predicate or nothing if no element satisfies the predicate. More...

## Detailed Description

Forward declares `boost::hana::index_if`.

Copyright
  Louis Dionne 2013-2017
  Jason Rice 2017 Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE.md or copy at http://boost.org/LICENSE_1_0.txt)